| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TimeIndex Class Reference
Core » Animation

Time index object used to search keyframe at the given position. More...

`#include <OgreAnimationTrack.h>`

## Public Member Functions
| TimeIndex (Real timePos)
| Construct time index object by the given time position. More...
| TimeIndex (Real timePos, uint keyIndex)
| Construct time index object by the given time position and global keyframe index. More...
uint | getKeyIndex (void) const
Real | getTimePos (void) const
bool | hasKeyIndex (void) const

## Detailed Description

Time index object used to search keyframe at the given position.

## Constructor & Destructor Documentation

## ◆ TimeIndex() [1/2]

Ogre::TimeIndex::TimeIndex | ( | Real | timePos | ) |
| inline

Construct time index object by the given time position.

## ◆ TimeIndex() [2/2]

Ogre::TimeIndex::TimeIndex | ( | Real | timePos,
|  | uint | keyIndex
| ) |  |
| inline

Construct time index object by the given time position and global keyframe index.

Note
  In normally, you don't need to use this constructor directly, use Animation::_getTimeIndex instead.

## Member Function Documentation

## ◆ hasKeyIndex()

bool Ogre::TimeIndex::hasKeyIndex | ( | void |  | ) | const
| inline

## ◆ getTimePos()

Real Ogre::TimeIndex::getTimePos | ( | void |  | ) | const
| inline

## ◆ getKeyIndex()

uint Ogre::TimeIndex::getKeyIndex | ( | void |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreAnimationTrack.h